Skip to content

Cancel all conditional orders for currency pair​

DELETE
/v1/orders/conditionals/{currencyPair}

Cancel open conditional orders for a given pair.

A 200 OK response means the request to cancel the conditional orders was accepted. You can either use the Order Status REST API or the WebSocket API to receive status updates about this request.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currencyPair*

A valid currency pair (e.g., BTCUSDTPERP for futures, BTCZAR for spot)

Type
string
Required

Responses​

Cancel all conditional orders for pair request accepted

application/json
JSON
[
{
"orderId": "d1469f6e-774f-422b-877a-fa7ae6a03dfe"
}
]

Playground​

Authorization
Variables
Key
Value

Samples​